Bug 50114 - Bad inserted simple SVG
Summary: Bad inserted simple SVG
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: All All
: medium normal
Assignee: Jorendc
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-19 05:24 UTC by Andrzej
Modified: 2016-05-02 17:51 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
inserted svg has no text and has black rectangle (5.17 KB, application/x-zip-compressed)
2012-05-19 05:24 UTC, Andrzej
Details
Test document (simplified) (4.57 KB, image/svg+xml)
2013-10-15 00:08 UTC, Thomas Arnhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrzej 2012-05-19 05:24:59 UTC
Created attachment 61839 [details]
inserted svg has no text and has black rectangle

I make simple SVG in Inkscape and insert it. In writer .svg has not texts and show black rectangle.
I attach original SVG and printscreen from writer
Comment 1 Fabian Alexander Wilms 2012-08-19 00:56:49 UTC
Text rendering works with LibO 3.6.1 on Ubuntu 12.04 (64). The black box is still being displayed.
Comment 2 Stephen Samuel 2013-03-16 21:19:31 UTC
the black box shows in image viewer 3.6.0 but not inkscape 0.48
Comment 3 Thomas Arnhold 2013-10-15 00:08:11 UTC
Created attachment 87637 [details]
Test document (simplified)

I've removed all objects, but the box remains.
Comment 4 Commit Notification 2014-07-15 07:35:45 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bd241b99b76ae7f4b3c1d4f2bcbaf7c487bb339

fdo#50114 ingore flowRoot element during svg import



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.